/* --- Oliver Dalferth, Horgenzell, Juli 2019, Version 1.0 --- */
/* ++++++++++++++++++ SCHRIFTEN ++++++++++++++++++ */
@font-face {
  font-family: OliSchrift;
  font-display: swap;

  /* src: url(../font/HelveticaNeueLight.ttf); */
  src: url(../font/OpenSans-Light.ttf);
}

/* Ausdrucken von Bereichen z.B. Modal */
/*
@media screen {
  #printSection {
      display: none;
  }
}

@media print {
  body * {
    visibility:hidden;
  }
  #printSection, #printSection * {
    visibility:visible;
  }
  #printSection {
    position:absolute;
    left:0;
    top:0;
  }
}
*/



body {
  font-family: OliSchrift, sans-serif
}

canvas {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-display: swap;
}


.popover {

  background-color: white;
  border: 1px solid gainsboro;
  border-radius: 10px;
  min-width: 80px;
  width: 100%;
  max-width: 400px;
  overflow-wrap: break-word;

}

.sliderPosition {

  font-size: small;
  color: firebrick;
  position: relative;
  left: -20px;
  top: -20px;

}


.kastenhaupt {
  color: white;
  border-radius: 5px 15px;
}

.kastenhauptunter {
  color: white;
  border-radius: 5px 15px;
}

.kastenunter {
  color: white;
  border-radius: 5px 15px;
}

.vorheben:hover {
  color: firebrick;
  transform: scale(1.02);
}

.vorhebenhaupt:hover {
  color: lightcoral;
  transform: scale(1.02);
}

.vorhebenunter:hover {
  color: firebrick;
  transform: scale(1.02);
}

.kleinerhinweis {
  font-size: small;
  font-style: italic;
  text-align: left;
  color: black
}



.dropdown-menu>li>a:hover {
  background-color: #5C8F94;
  color: white;
}

.navbar-nav li:hover>ul.dropdown-menu {
  display: block;
}

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu>.dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -6px;
}

/* rotate caret on hover */
.dropdown-menu>li>a:hover:after {
  text-decoration: underline;
  transform: rotate(-90deg);
}


.breakPdf {
  page-break-after: always;
}


/* Remove default bullets */
ul,
#myBaum {
  list-style-type: none;
}

/* Remove margins and padding from the parent ul */
#myBaum {
  margin: 0;
  padding: 0;
}

/* Style the caret/arrow */
.caretBaum {
  cursor: pointer;
  user-select: none;
  /* Prevent text selection */
}

/* Create the caret/arrow with a unicode, and style it */
.caretBaum::before {
  content: "\25B6";
  color: black;
  display: inline-block;
  margin-right: 6px;
}

/* Rotate the caret/arrow icon when clicked on (using JavaScript) */
.caret-downBaum::before {
  transform: rotate(90deg);
}

/* Hide the nested list */
.nestedBaum {
  display: none;
}

/* Show the nested list when the user clicks on the caret/arrow (with JavaScript) */
.activeBaum {
  display: block;
}

/* Bilder vergrößern beim Drüber-Hovern */
.zoomenClick {
  background-color: white;
  border-radius: 5%;
  border-width: 1px;
  border-style: solid;
  border-color: lightgrey;
  /* transition: transform 1s; /* Animation */
}

/* Bilder vergrößern beim Drüber-Hovern */
.zoomenClick:active {
position: fixed;
top: 50%;
left: 50%;
transform: translate(-50%,-50%) scale(400%) ;
z-index: 1;
}